require File.expand_path('lib/version', __dir__)
require 'date'

Gem::Specification.new do |s|
  s.name = 'upman-daemon'
  s.version = Upman::Version::VERSION
  s.license = 'GPL-3.0'
  s.date = Date.today.to_s
  s.summary = %q{upman client daemon}
  s.authors = ['Tobias Ehrig']
  s.email = ['tobias.ehrig@hermesworld.com']
  s.files = Dir['{lib,ssl}/**/*'] + ['LICENSE', 'Rakefile', 'README.md']
  s.files = Dir.glob(%w[{lib,test}/**/*.rb bin/* [A-Z]*.{txt,rdoc} ext/**/*.{rb,c} **/deps.rip]) + %w{Rakefile upman.gemspec}
  s.extra_rdoc_files = %w(README.md LICENSE)
  s.require_paths = ["lib", "bin"]
  s.bindir = 'bin'
  s.homepage = "https://github.com/liKe2k1/upman"
  s.metadata = {"source_code_uri" => "https://github.com/liKe2k1/upman"}
  s.add_runtime_dependency 'coderay', '~> 1.1', '>= 1.1.2'
  s.add_runtime_dependency 'colorize', '~> 0.8', '>= 0.8.1'
  s.add_runtime_dependency 'rest-client', '~> 2.0', '>= 2.0.2'
  s.executables << 'upman'
  s.required_ruby_version = '>= 2.1.0'
end